@import "~/src/sass/variables.sass"

.login-page
  display: flex
  align-items: center
  justify-content: center

  form
    width: 70%
    max-width: 400px

    height: 430px

    margin: 5%
    margin-top: -66px

    display: flex
    flex-direction: column
    justify-content: space-between
    align-items: flex-start

    h1
      margin-top: 0px
      margin-bottom: 5%

      font-size: 30px
      color: var(--color-on-background, $light-on-background)

    .actions
      margin-top: 5%
      width: 100%

      display: flex
      align-items: center
      justify-content: space-between

      .error
        margin-left: 20px

        animation-name: fade-in
        animation-duration: 250ms
        animation-fill-mode: both

@keyframes fade-in
  0%
    opacity: 0%
  100%
    opacity: 100%


@media (prefers-color-scheme: dark)
  #app form h1
    color: var(--color-on-background, $dark-on-background)